package com.mortals.xhx.module.site.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.vo.SiteMatterVo;
/**
 * 站点事项实体对象
 *
 * @author zxfei
 * @date 2022-01-20
 */

public class SiteMatterEntity extends SiteMatterVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 事项ID
     */
    private Long matterId;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;



    public SiteMatterEntity(){}
    /**
     * 获取 站点ID
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点ID
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 事项ID
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项ID
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 部门ID
     * @return Long
     */
    public Long getDeptId(){
        return deptId;
    }
    /**
     * 设置 部门ID
     * @param deptId
     */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
     * 获取 部门名称
     * @return String
     */
    public String getDeptName(){
        return deptName;
    }
    /**
     * 设置 部门名称
     * @param deptName
     */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteMatterEntity) {
            SiteMatterEntity tmp = (SiteMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = null;

        this.matterId = null;

        this.matterName = null;

        this.deptId = null;

        this.deptName = null;
    }
}